Subject: Re: bug#13131: 24.1; Allow curly quotes to be found by searching for straight quotes?

From: Juri Linkov <[email-masked]>
Date: Mon, 10 Dec 2012 09:59:05 +0200

> isearch kindly matches multiple spaces when you insert a space;
> similarly, it'd be good if searching for a straight quote also matched
> curly quotes (arguably only in modes where that really makes sense, i.e.
> text modes).

I suppose under "straight quote" you mean Unicode char named APOSTROPHE, and
"curly quotes" are LEFT SINGLE QUOTATION MARK and RIGHT SINGLE QUOTATION MARK.

There is a mapping of LEFT DOUBLE QUOTATION MARK and RIGHT DOUBLE QUOTATION MARK
to "``" and "''" in `IT-unicode-translations' in lisp/term/internal.el, but
it's not suitable for this.  I can't find more mappings in the source code,
ucs-normalize.el says that Punctuation is excluded from Normalization:

;; HFS Normalization excludes following area for decomposition.
;;  U+02000 .. U+02FFF :: Punctuation, symbols, dingbats, arrows, etc.

But it seems Normalization can't help anyway because there is no
decomposition information for such quotes in UnicodeData.txt.

Maybe the Unicode standard has a separate document for equivalence mappings
for punctuation.  I can found only the following table.  Is this what is needed?

http://unicode.org/cldr/charts/supplemental/character_fallback_substitutions.html